DavenDaven Documentation

Replace users

PUT
/users

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

User DTO - The data transfer object for users

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/users" \  -H "Content-Type: application/json" \  -d '[    {      "mail": "user@example.com",      "first_name": "John",      "last_name": "Doe",      "subsidiary": "Daven Corp",      "status": "active"    }  ]'
{
  "message": "string",
  "data": [
    [
      {
        "mail": "user@example.com",
        "first_name": "John",
        "last_name": "Doe",
        "subsidiary": "Daven Corp",
        "status": "active"
      }
    ]
  ],
  "meta": {
    "next_link": "string"
  }
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}